MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030672Open CASCADE[OCCT] OCCT:Visualizationpublic2019-04-23 22:042019-04-27 13:08
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030672: Visualization - AIS_InteractiveContext::SetLocation() sets invalid selection BVH flag to removed object
DescriptionCalling AIS_InteractiveContext::SetLocation() on object removed from context leads to broken selection after re-displaying it.

This is because SelectMgr_TBU_Remove is overridden by SelectMgr_TBU_None flag.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 3
vclear
vinit View1
vdisplay -dispMode 1 b
vfit
vremove -context b
vlocation b -setLocation 0 0 0
vdisplay -dispMode 1 b


pload MODELING VISUALIZATION
box b 1 2 3
vclear
vinit View1
vdisplay -dispMode 1 -highMode 1 b
vfit
vremove -context b
vlocation b -setLocation 2 0 0
vdisplay -dispMode 1 b
vmoveto 200 200
if { [vreadpixel 150 150 -rgb -name] != "BLACK" } { puts "Error" }
if { [vreadpixel 300 300 -rgb -name] != "DARKGOLDENROD3" } { puts "Error" }
vmoveto 300 300
if { [vreadpixel 300 300 -rgb -name] != "DARKTURQUOISE" } { puts "Error" }
TagsNo tags attached.
Test case numberbugs/vis/bug30672
Attached Files

- Relationships
child of 0024623closedbugmaster Visualization - improve selection mechanism 

-  Notes
(0083960)
git (administrator)
2019-04-24 09:24

Branch CR30672 has been created by kgv.

SHA-1: 1a68d19c50f4cf17059d454581e5ef6a2538b66d


Detailed log of new commits:

Author: kgv
Date: Wed Apr 24 09:16:19 2019 +0300

    0030672: Visualization - AIS_InteractiveContext::SetLocation() sets invalid selection BVH flag to removed object
    
    SelectMgr_SelectionManager::Remove() now deactivates selection before removal.
(0083962)
kgv (developer)
2019-04-24 10:54

Patch is ready for review.

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR30672-master-KGV/ [^]
(0084000)
san (developer)
2019-04-25 22:53

Branch CR30672 reviewed without remarks.
(0084014)
bugmaster (administrator)
2019-04-26 17:05

Combination -
OCCT branch : CR30672
master SHA - 1a68d19c50f4cf17059d454581e5ef6a2538b66d
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - 8518fc0ce61f27cb5fd038357f978ec6e3a20df5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16569.950000000037 / 16536.609999999906 [+0.20%]
Products
Total CPU difference: 10519.070000000038 / 10546.95000000005 [-0.26%]
Windows-64-VC14:
OCCT
Total CPU difference: 17925.484375 / 17960.6875 [-0.20%]
Products
Total CPU difference: 12157.890625 / 12065.3125 [+0.77%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0084024)
git (administrator)
2019-04-27 13:08

Branch CR30672 has been deleted by inv.

SHA-1: 1a68d19c50f4cf17059d454581e5ef6a2538b66d

- Related Changesets
occt: master 66278500
Timestamp: 2019-04-24 06:16:19
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030672: Visualization - AIS_InteractiveContext::SetLocation() sets invalid selection BVH flag to removed object

SelectMgr_SelectionManager::Remove() now deactivates selection before removal.
mod - src/SelectMgr/SelectMgr_SelectionManager.cxx Diff ] File ]
add - tests/bugs/vis/bug30672 Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-04-23 22:04 kgv New Issue
2019-04-23 22:04 kgv Assigned To => kgv
2019-04-23 22:05 kgv Relationship added child of 0024623
2019-04-23 22:05 kgv Product Version 7.3.0 => 6.9.0
2019-04-24 09:15 kgv Steps to Reproduce Updated View Revisions
2019-04-24 09:24 git Note Added: 0083960
2019-04-24 10:54 kgv Note Added: 0083962
2019-04-24 10:54 kgv Assigned To kgv => san
2019-04-24 10:54 kgv Status new => resolved
2019-04-25 22:53 san Note Added: 0084000
2019-04-25 22:53 san Assigned To san => bugmaster
2019-04-25 22:53 san Status resolved => reviewed
2019-04-26 17:04 bugmaster Test case number => bugs/vis/bug30672
2019-04-26 17:05 bugmaster Note Added: 0084014
2019-04-26 17:05 bugmaster Status reviewed => tested
2019-04-27 12:38 bugmaster Changeset attached => occt master 66278500
2019-04-27 12:38 bugmaster Status tested => verified
2019-04-27 12:38 bugmaster Resolution open => fixed
2019-04-27 13:08 git Note Added: 0084024


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker